import { GroupAnimationType, StorageDataBType, StorageLocalType } from "../type";
declare function getComSelectList(): {
    label: string;
    value: number;
}[];
declare enum OperateEnumType {
    /**
     * 包含了所有的弹框，抽屉等
     */
    Dialog = "dialog",
    ToLink = "toLink",
    Tip = "tip",
    /**
     * 组管理配置
     */
    Group = "group",
    Video = "Video",
    /**
     * 电报
     */
    Telegram = "telegram",
    RotateWheel = "rotateWheel",
    Animation = "animation",
    Carousel = "carousel"
}
declare function getComOpenActiveList(): {
    label: any;
    value: OperateEnumType;
}[];
declare function getComCloseActiveList(): {
    label: any;
    value: OperateEnumType;
}[];
declare function getSaveDataBehaviorTypeList(): {
    label: any;
    value: StorageDataBType;
}[];
declare function getSaveLocalTypeList(): {
    label: any;
    value: StorageLocalType;
}[];
declare function getGroupTypeOptionList(): {
    label: any;
    value: any;
}[];
declare function getGroupAnimationOptionList(): {
    label: any;
    value: GroupAnimationType;
}[];
declare function getGroupCloseAnimationOptionList(): {
    label: any;
    value: GroupAnimationType;
}[];
declare function getEncryptionOptionsList(): {
    label: any;
    value: string;
}[];
export { OperateEnumType, getComSelectList, getComOpenActiveList, getComCloseActiveList, getSaveDataBehaviorTypeList, getSaveLocalTypeList, getEncryptionOptionsList, getGroupTypeOptionList, getGroupAnimationOptionList, getGroupCloseAnimationOptionList, };
